%define upstream_name    Pod-Generated
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Template plugin to help generate POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ISA)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(Module::Install::Template)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Conjunct)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML)
BuildArch: noarch


%description
This module provides support for generating POD documentation for your
modules during 'make' time. It does not itself generate the documentation -
the combination of the Module::Install::Template manpage and the
Template::Plugin::PodGenerated manpage does that.

Also see the Pod::Generated::Attributes manpage.

Modules that generate methods - such as the Class::Accessor manpage - might
want to use this module. the Class::Accessor::Complex manpage, the
Class::Accessor::Constructor manpage and the Class::Accessor::FactoryTyped
manpage do support generated documentation, or will do so shortly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f inc/YAML.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-10.mga8
+ Revision: 1496701
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-9.mga7
+ Revision: 1270545
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-8.mga6
+ Revision: 1032311
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-7.mga6
+ Revision: 950238
- Mageia 6 Mass Rebuild

* Sat Oct 25 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 793299
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-4.mga4
+ Revision: 514231
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-3.mga3
+ Revision: 371911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.50.0-2.mga3
+ Revision: 335946
- Remove outdated YAML.pm from inc/ (RT 74509)

* Tue Jan 25 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 38499
- mageia rebuild
- imported package perl-Pod-Generated

